<!DOCTYPE html>
<html>
<head>
   <title>Patern 19</title>
</head>
<body>
   <script>
      var output;
      var jmlBaris = 4;
      var tempJmlBaris = 0;
      var frontSpace = jmlBaris;
      var innerSapce = 0;
      var bottomStar = (jmlBaris*2)+1;
      for (let i = 0; i <= jmlBaris; i++) {
         var output = '';
         if (i == jmlBaris) {
            for (let j = 0; j < bottomStar; j++) {
               output = output + '*';
            }
            
         } else if (i < jmlBaris) {
            for (let k = 0; k < frontSpace; k++) {
               output = output + '&nbsp;&nbsp;';
               
            }
            for (let j = 0; j <= tempJmlBaris; j++) {
               if (j == 0) {
                  output = output + '*';
               } else if (j == tempJmlBaris) {
                  for (let k = 0; k < innerSapce; k++) {
                     output = output + '&nbsp;&nbsp;';
                  }
                  output = output + '*';
               } else {
                  output = output + '&nbsp;&nbsp;';
                  
               }
            }
         }
         tempJmlBaris++;
         frontSpace--;
         innerSapce++;
         document.writeln(output);         
         document.writeln('<br>');
         
      }
   </script>
</body>
</html>